Package: org.gradle.api

## [Java] Class Comparator<T>

- org.gradle.api.Namer.Comparator

- All Implemented Interfaces and Traits:
    Comparator

      public static class Namer.Comparator

  A comparator implementation based on the names returned by the given namer.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Namer.Comparator (Namer<? super T> namer)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `compare(T o1, T o2)`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Namer.Comparator(Namer<? super T> namer)

  - ### Method Detail

    - #### public int compare(T o1, T o2)

    - #### public boolean equals(Object obj)

    - #### public int hashCode()